Page MenuHomePhabricator

Kubernetes Beta Signup List
Closed, ResolvedPublic

Description

If you want to participate in the Kubernetes beta, please add a comment with the following information:

  1. Name of tool
  2. Language tool is written in
  3. Webservice or Continuous job
  4. Does the tool use the labs replica dbs?
  5. Does the tool use toolsdb?
  6. Does the tool use NFS for anything (other than storing code and config and log files)?

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added a project: Toolforge.
yuvipanda added a subscriber: yuvipanda.
Restricted Application added a project: Cloud-Services. · View Herald TranscriptSep 16 2015, 10:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Giftpflanze added a subscriber: Giftpflanze.EditedSep 16 2015, 10:33 PM
  1. giftbot
  2. tcl
  3. webservice and 5 continuous jobs
  4. yes
  5. no
  6. no
yuvipanda set Security to None.
  1. mediawiki-docker
  2. PHP (and Dockerfile)
  3. webservice
  4. no
  5. no
  6. no

Not ready for prime time but still interested.

intracer added a subscriber: intracer.EditedSep 17 2015, 5:58 AM

I have not deployed the tool to Toollabs yet, but going soon

  1. WLX Jury Tool and other WLM/WLE related tools
  2. Scala
  3. Webservice + regular updates with newly uploaded images
  4. need for much quicker access via SQL, but can live with MediaWIki API if not available
  5. Going to try as "The latter tends to be a bit faster since that server has less heavy activity", but otherwise no
  6. no
valhallasw triaged this task as Lowest priority.Oct 4 2015, 11:53 AM
valhallasw moved this task from Triage to Backlog on the Toolforge board.
valhallasw added a subscriber: valhallasw.

Name of tool: stashbot
Language tool is written in: Python2
Webservice or Continuous job: Continuous job
Does the tool use the labs replica dbs?: No
Does the tool use toolsdb?: No
Does the tool use NFS for anything (other than storing code and config and log files)?: No

This bot does use the Elasticsearch cluster on the tools-elastic-* hosts.

Work towards k8s compatibility tracked in T122690: Move stashbot tool to k8s.

yuvipanda closed this task as Resolved.Jul 5 2016, 12:25 PM
yuvipanda claimed this task.

I'm going to close this, since T133999 now means every tool has a .kube/config :D